linux-security-module November 2007 archive
Main Archive Page > Month Archives  > linux-security-module archives
linux-security-module: Re: [PATCH] 64bit capability support (leg

Re: [PATCH] 64bit capability support (legacy support fix)

From: Kevin Winchester <kjwinchester_at_nospam>
Date: Sun Nov 18 2007 - 17:40:58 GMT
To: Andrew Morgan <>

Hash: SHA1

Andrew Morgan wrote:
> Andrew,
> The attached patch (171282b3553fcec43b9ab615eb7daf6c2b494a87) applies
> against 2.6.24-rc2-mm1. It addresses the problem reported by Kevin and
> Andy - ultimately, the legacy support wasn't transparent. In particular,
> userspace 32-bit capability manipulations (when run by root) that used
> to work, without this patch, fail.

This works for me. I guess the appropriate line is:

Tested-by: Kevin Winchester <>

  • -- Kevin Winchester -----BEGIN PGP SIGNATURE----- Version: GnuPG v1.4.6 (GNU/Linux) Comment: Using GnuPG with Mozilla -

iD8DBQFHQHkqKPGFQbiQ3tQRAt/uAJ9bWz4XHFDkavlCsl4wyT91KXa5GQCfZ3t1 4fy44s2RVnNDQaVJasf4OF0=
To unsubscribe from this list: send the line "unsubscribe linux-security-module" in the body of a message to More majordomo info at